export const blockDecoratorIndicators = () => {

  /**
   * Registers the Block Decorator indicator configuration with the Navigation+ tool indicators manager.
   */
  if (typeof window.registerToolIndicatorConfig === 'function') {
    const eraserIndicators = [
      {
        type: 'block',
        icon: drupalSettings.navigationPlus.toolIndicators.icons['block_decorator'] ?? null,
        handlers: {
          onClick: (e) => {
            const blockUuid = e.target.closest('[data-layout-builder-block-uuid]').dataset.layoutBuilderBlockUuid;
            const url = drupalSettings.navigationPlus.toolIndicators.links.block_indicator[blockUuid];

            Drupal.NavigationPlus.ModePluginBase.dialog({
              url: url,
              width: 600,
              message: Drupal.t('...'),
            });
          },
        },
      },
    ];

    window.registerToolIndicatorConfig('block_decorator', eraserIndicators);
  }
};
