<?php

namespace Drupal\lb_block_decorator;

use Drupal\Component\Plugin\ConfigurableInterface;
use Drupal\Core\Plugin\PluginFormInterface;
use Drupal\Core\Plugin\PluginWithFormsInterface;

/**
 * Interface for block_decorator plugins.
 */
interface BlockDecoratorInterface extends ConfigurableInterface, PluginWithFormsInterface, PluginFormInterface {

  /**
   * Returns the translated plugin label.
   *
   * @return string
   *   The translated title.
   */
  public function label();

  /**
   * Performs plugin specific alterations on the render array of a block.
   *
   * @param array $build
   *   The block's render array.
   */
  public function onBuildRenderArray(array &$build) : void;

}
